aboutsummaryrefslogtreecommitdiff
path: root/libraries
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2022-04-19 21:09:15 -0400
committerB. Watson <yalhcru@gmail.com>2022-04-19 21:09:15 -0400
commita250a2c70a4d32225edb805229a01d3bb50587ef (patch)
tree775a3c32dc6fcd646e592da5f53fbb071f278ec1 /libraries
parent16c6a38dc0460195a31bb9f68961752b3429f36c (diff)
downloadslackbuilds-a250a2c70a4d32225edb805229a01d3bb50587ef.tar.xz
libraries/qt3: Fix docs, doinst, symlink.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/qt3/doinst.sh11
-rw-r--r--libraries/qt3/qt3.SlackBuild21
2 files changed, 17 insertions, 15 deletions
diff --git a/libraries/qt3/doinst.sh b/libraries/qt3/doinst.sh
index d57fb03194ad..c2a7379aa737 100644
--- a/libraries/qt3/doinst.sh
+++ b/libraries/qt3/doinst.sh
@@ -1,9 +1,6 @@
-## This was causing problems compiling KDE for unknown reasons.
-## So, we'll symlink the libraries into /opt/kde3 again...
# Add QT library directory to /etc/ld.so.conf:
-if ! grep /opt/kde3/lib etc/ld.so.conf 1> /dev/null 2> /dev/null ; then
- echo "/opt/kde3/lib" >> etc/ld.so.conf
-fi
-if [ -x /sbin/ldconfig ]; then
- /sbin/ldconfig 2> /dev/null
+if [ -e etc/ld.so.conf ]; then
+ if ! grep /opt/kde3/lib etc/ld.so.conf 1> /dev/null 2> /dev/null ; then
+ echo "/opt/kde3/lib" >> etc/ld.so.conf
+ fi
fi
diff --git a/libraries/qt3/qt3.SlackBuild b/libraries/qt3/qt3.SlackBuild
index 08c08ee885b8..cfe1fad29301 100644
--- a/libraries/qt3/qt3.SlackBuild
+++ b/libraries/qt3/qt3.SlackBuild
@@ -29,6 +29,12 @@
# This is based on the original SlackBuild from /extra/kde-compat in
# Slackware 13.1
+# 20220419 bkw: BUILD=3:
+# - remove useless INSTALL from doc dir.
+# - add SlackBuild to doc dir.
+# - doinst.sh only edits ld.so.conf if it exists.
+# - don't call ldconfig from doinst.sh (installpkg does that already).
+# - remove broken symlink.
# 20220318 bkw: fix 32-bit build.
# 20211120 bkw: BUILD=2, install the profile scripts non-executable.
# 20200226 bkw: quit spamming /root, no change to package
@@ -45,17 +51,11 @@
# - included patch for new libpng (based on work by Stuart Winter)
# Revision date 2012/08/09
-# TODO: fix these:
-#sbrun: WARNING: files altered outside the sandbox:
-#u /root/.qt/.qt_plugins_3.3rc.lock
-#t /root/.qt/qt_plugins_3.3rc.tmp
-#u /root/.qt/qt_plugins_3.3rc
-
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=qt3
VERSION=${VERSION:-3.3.8b}
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-7}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -225,8 +225,9 @@ cd -
# Add a documentation directory:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- FAQ INSTALL LICENSE.GPL* LICENSE.QPL MANIFEST PLATFORMS README* changes* \
+ FAQ LICENSE.GPL* LICENSE.QPL MANIFEST PLATFORMS README* changes* \
$PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Make a link to "qt3" w/o version number
cd $PKG/opt/kde3/lib${LIBDIRSUFFIX}
@@ -239,6 +240,10 @@ rm -rf $PKG/opt/kde3/lib${LIBDIRSUFFIX}/qt3/doc
rm -f $PKG/usr/lib*/*.la
+# 20220419 bkw: broken symlink, targets the build directory. looks like
+# it's completely extraneous, just remove it.
+rm -f $PKG/opt/kde3/lib64/qt3/mkspecs/linux-g++/linux-g++
+
mkdir -p $PKG/install
cat $CWD/doinst.sh | sed -e "s|/lib|/lib${LIBDIRSUFFIX}|" \
> $PKG/install/doinst.sh